Skip to main content
GET
/
v3
/
variants
/
{variantId}
/
availability
Get variant availability by country
curl --request GET \
  --url https://api.snappy.com/public-api/v3/variants/{variantId}/availability \
  --header 'X-Api-Key: <api-key>'
{
  "US": {
    "isAvailable": true,
    "price": {
      "amount": 244.99,
      "currency": "USD"
    },
    "priceBreakdown": {
      "ddp": 0,
      "shippingFee": 0,
      "itemPrice": 244.99
    }
  },
  "CA": {
    "isAvailable": true,
    "price": {
      "amount": 268.5,
      "currency": "USD"
    },
    "priceBreakdown": {
      "ddp": 12.5,
      "shippingFee": 11.01,
      "itemPrice": 244.99
    }
  }
}

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

X-Api-Key: YOUR_API_KEY

Headers

snappy-account-id
string

Optional account identifier for swag validation/filtering.

Example:

"acc123456"

snappy-company-id
string

Optional company identifier for swag validation/filtering.

Example:

"cmp123456"

Path Parameters

variantId
string
required

Variant ID.

Pattern: ^[A-Za-z0-9]{8,}$
Example:

"FB6bgFV4lf"

Response

Availability map keyed by ISO 3166-1 alpha-2 country code.

Map keyed by ISO 3166-1 alpha-2 country code. Missing countries should be treated as unavailable.

{key}
object

Availability entry for a single country.

Last modified on June 17, 2026